<?PHP
/************************************************************************/
/* NPDS V : Net Portal Dynamic System .                                 */
/* ===========================                                          */
/*                                                                      */
/* Power Pack Language File Copyright (c) 2001-2004 by Philippe Brunier */
/*                                                                      */
/************************************************************************/

function pp_translate($phrase) {
   $tmp=pp_translate_pass1($phrase);
   if (cur_charset=="utf-8") {
      return utf8_encode($tmp);
   } else {
      return ($tmp);
   }
}

function pp_translate_pass1($phrase) {
 switch($phrase) {
    case "Message to Member": $tmp = "Message à un Membre"; break;
    case "Welcome to the Chat Box": $tmp = "Bienvenue sur Chat Box"; break;
    case "There is": $tmp = "Il y a"; break;
    case "There are": $tmp = "Il y a"; break;
    case "person chatting right now.": $tmp = "personne connectée."; break;
    case "people chatting right now.": $tmp = "personnes connectées."; break;
    case "You are logged in as": $tmp = "Vous êtes connecté en tant que :"; break;
    case "Text:": $tmp = "Texte :"; break;
    case "Submit": $tmp = "Envoyer"; break;
    case "click here to open the chat window...": $tmp = "Cliquez ici pour entrer"; break;
    case "Clear Chat DB": $tmp = "Vider la Table ChatBox"; break;
    case "Name:": $tmp = "Pseudo :"; break;

   // NPDS 5.0 P2
    case "Chat box": $tmp = "Chat bloc"; break;
    case "M2M box": $tmp = "M2M bloc"; break;
    case "Forums infos": $tmp = "Forums infos"; break;
   // NPDS 5.0 P2

   // NPDS Sable
   case "Chatdate": $tmp = "G:i d-m"; break;
   // NPDS Sable

    default: $tmp = "nécessite une traduction <b>[** $phrase **]</b>"; break;
 }
 return $tmp;
}
?>